SET SERVEROUTPUT ON SIZE 1000000;
set verify off;

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;		
	l_func_id			VARCHAR2(100):='CAPAPREC_AP_OPT';
BEGIN
	SELECT COUNT(1) 
	INTO l_total_extracted
	FROM
		GL_SETS_OF_BOOKS			B,
		AP_SYSTEM_PARAMETERS_ALL	F
	WHERE	UPPER(B.Short_Name)	=	upper('&1')
	AND		B.Set_Of_Books_ID	=	F.Set_Of_Books_ID;

	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_AP_SYSTEM_PARAM;
	
	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);

END;
/